<template>
  <div>
    <quill-editor v-model:content="newFeed.content" toolbar="full" />
    <v-list lines="two" subheader>
      <v-list-subheader>Теги</v-list-subheader>
      <add-tags />
      <!--      <v-list-item title="Content filtering" subtitle="Set the content filtering level to restrict apps that can be downloaded"></v-list-item>-->
    </v-list>
    <v-divider></v-divider>
    <v-list lines="two" subheader>
      <v-list-subheader>Настройки публикации</v-list-subheader>
      <v-list-item
        class="py-0"
        title="Авторский"
        subtitle="Выберите если вы являетесь единственным автором статьи"
      >
        <template #prepend>
          <v-checkbox v-model="newFeed.authorContent"></v-checkbox>
        </template>
      </v-list-item>
      <v-list-item
        class="py-0"
        title="18+"
        subtitle="Выберите если пост содержит"
      >
        <template #prepend>
          <v-checkbox v-model="newFeed.nsfw"></v-checkbox>
        </template>
      </v-list-item>
      <v-list-item
        class="py-0"
        title="Отключить комментарии"
        subtitle="Если вы хотите убрать возможность комментирования"
      >
        <template #prepend>
          <v-checkbox v-model="newFeed.noComments"></v-checkbox>
        </template>
      </v-list-item>
      <v-list-item
        class="py-0"
        title="Опубликовать анонимно"
        subtitle="Никто не узнает кто был автором поста"
      >
        <template #prepend>
          <v-checkbox v-model="newFeed.anon"></v-checkbox>
        </template>
      </v-list-item>
    </v-list>
  </div>
</template>

<script setup>
import { QuillEditor } from '@vueup/vue-quill'
import '@vueup/vue-quill/dist/vue-quill.snow.css'
import AddTags from '@/components/posts/AddTags.vue'
import { sync } from 'vuex-pathify'

const { newFeed } = sync('feed/*')

// export default {
//   components: {
//     QuillEditor,
//     AddTags
//   },
//   data() {
//     return {
//       dialog: false,
//       authorContent: true,
//       nsfw: false,
//       noComments: false,
//       anon: false
//     }
//   }
// }
</script>
<style>
.ql-blank {
  min-height: 120px;
}
/*.ql-toolbar {*/
/*  background-color: white;*/
/*}*/
/*.ql-editor {*/
/*  background-color: #e2e2e2;*/
/*}*/
</style>
